
Foreman - Bug #33422

Create host shows a Puppet ENC tab

09/06/2021 05:46 PM - Ewoud Kohl van Wijngaarden

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On foreman-3.1.0-0.1.develop.20210905144930git35f27ad.el8.noarch without foreman_puppet installed the Create Host tab shows a

Puppet ENC tab.

I haven't verified this on 3.0.0, but we should at least take a look.

History

#1 - 09/07/2021 01:20 PM - Amit Upadhye

- Target version changed from 3.0.0 to 3.0.1

#2 - 10/14/2021 11:01 AM - Marek Hulán

- Status changed from New to Rejected

There's no Puppet ENC tab in either create host or edit host form when the plugin is removed. Double check you don't have the plugin loaded in

memory (systemctl restart foreman) in case you just removed it. I'm closing for now, feel free to reopen if you find a reproducer.

#3 - 10/18/2021 01:06 PM - Ewoud Kohl van Wijngaarden

- Target version deleted (3.0.1)

Removing target version then. Thanks for checking.
